SmilesParse.h File Reference
`#include <string>`
`#include <exception>`
`#include <map>`

Go to the source code of this file.

## Classes

class | RDKit::SmilesParseException

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.

## Functions

RWMol * | RDKit::SmilesToMol (const std::string &smi, int debugParse=0, bool sanitize=1, std::map< std::string, std::string > *replacements=0)
| Construct a molecule from a SMILES string. More...
RWMol * | RDKit::SmartsToMol (const std::string &sma, int debugParse=0, bool mergeHs=false, std::map< std::string, std::string > *replacements=0)
| Construct a molecule from a SMARTS string. More...